- Qt 6.10
- Qt GUI
- C++ Classes
- QAccessibilityHints
- Qt 6.10.2 Reference Documentation

# QAccessibilityHints Class

The QAccessibilityHints class contains platform specific accessibility hints and settings. More...

Header: | `#include <QAccessibilityHints>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.10
Inherits: | QObject

- List of all members, including inherited members

## Properties

- `(since 6.10)` contrastPreference : const Qt::ContrastPreference

## Public Functions

Qt::ContrastPreference | contrastPreference() const

## Signals

void | contrastPreferenceChanged(Qt::ContrastPreference contrastPreference)

## Reimplemented Protected Functions

virtual bool | event(QEvent *event) override

## Detailed Description

This class bundles together platform specific accessibility settings, and can be accessed from QStyleHints::accessibility.

See also QStyleHints.

## Property Documentation

### `[read-only, since 6.10]` contrastPreference : const Qt::ContrastPreference

This property holds the contrast mode set by the system.

This property can be used by the application to determine what contrast settings the system is currently using.

Qt styles use this property in order to adjust palette colors and outlines.

This property was introduced in Qt 6.10.

Access functions:

Qt::ContrastPreference | contrastPreference() const

Notifier signal:

void | contrastPreferenceChanged(Qt::ContrastPreference contrastPreference)

See also Qt::ColorScheme, QGuiApplication::palette(), and QEvent::PaletteChange.

## Member Function Documentation

### `[override virtual protected]` bool QAccessibilityHints::event(QEvent *event)

Reimplements: QObject::event(QEvent *e).